## eclipse-titan 8.2.0

=== Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   
#   Baji, Laszlo
#   Balasko, Jeno
#   Delic, Adam
#   Forstner, Matyas
#   Godar, Marton
#   Horvath, Gabriella
#   Koppany, Csaba
#   Kovacs, Ferenc
#   Kovacs, Zoltan
#   Kremer, Peter
#   Lovassy, Arpad
#   Ormandi, Matyas
#   Pilisi, Gergely
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Torpis, Zsolt
#   Zalanyi, Balazs Andor
#
##############################################################################
# Main Makefile for the TTCN-3 Test Executor
# For use with GNU make only.

TOP := .
include $(TOP)/Makefile.cfg

# Dirlist for "all", "clean", "distclean"
ALLDIRS := common compiler2 repgen xsdconvert

ifndef MINGW
	ALLDIRS += mctr2 core core2 loggerplugins
endif

# JNI not supported on Cygwin or Mingw
ifneq ($(PLATFORM), WIN32)
	ifeq ($(JNI), yes)
		ALLDIRS += JNI
	endif
endif

#ALLDIRS += ctags

# Dirlist for "dep", "tags"
DEPDIRS := $(ALLDIRS)

ALLDIRS += usrguide

# Dirlist for "install"
INSTALLDIRS := $(ALLDIRS)

INSTALLDIRS += etc help hello

###########################################################

all run clean distclean:
	@for dir in $(ALLDIRS); do \
	  $(MAKE) -C $$dir $@ || exit; \
	done

dep tags:
	@for dir in $(DEPDIRS); do \
	  $(MAKE) -C $$dir $@ || exit; \
	done

install:
	if test -h $(TTCN3_DIR); then \
	  echo $(TTCN3_DIR) is a symlink, you cannot be serious; exit 1; fi
ifdef MINGW
	$(info cross your fingers...)
endif
	-rm -rf $(TTCN3_DIR)
ifeq ($(INCLUDE_EXTERNAL_LIBS), yes)
	mkdir -p $(TTCN3_DIR)/lib
	cp -d $(OPENSSL_DIR)/lib/libcrypto.so* $(TTCN3_DIR)/lib
	cp -d $(XMLDIR)/lib/libxml2.so* $(TTCN3_DIR)/lib
endif
	@for dir in $(INSTALLDIRS); do \
	  $(MAKE) -C $$dir $@ || exit; \
	done
ifeq ($(LICENSING), yes)
	mkdir -p $(ETCDIR)/licensegen
	cp licensegen/license.dat $(ETCDIR)/license
endif
	chmod -R +r,go-w $(TTCN3_DIR)
	@echo "***********************************"
	@echo "Installation successfully completed"
	@echo "***********************************"

# check is the standard GNU target for running tests
# (avoids clash with shell builtin 'test')
check:
	compiler2/compiler -v

ifneq (,$(findstring prereq,$(MAKECMDGOALS)))
# Export all variables into the environment for the prereq target
export
endif


# no need to include Makefile.genrules

.PHONY: all clean distclean dep tags install psi dox check confess prereq


Makefile.personal: SHELL:=/bin/bash
Makefile.personal:
	if [ -f $(TOP)/makefiles/$@.$${HOSTNAME:=$${COMPUTERNAME}} ]; then ln -s $(TOP)/makefiles/$@.$${HOSTNAME} $@; else touch $@; fi

=== JNI/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Lovassy, Arpad
#
##############################################################################
#
# "org_eclipse_titan_executor_jni_JNIMiddleWare.h" is generated by javah (java header generator tool)
# DO NOT EDIT THAT FILE UNLESS YOU KNOW WHAT YOU ARE DOING
#
# CLI command for header generation:
# > javah -classpath . -jni org.eclipse.titan.executor.jni.JNIMiddleWare
# - must be issued in the /bin direcory within the project

TOP := ..
include $(TOP)/Makefile.cfg

CPPFLAGS += -I$(JDKDIR)/include
ifeq ($(PLATFORM), WIN32)
CPPFLAGS += -D__int64='long long'
endif

ifeq ($(PLATFORM), LINUX)
  CPPFLAGS += -I$(JDKDIR)/include/linux
endif
ifeq ($(PLATFORM), SOLARIS)
  CPPFLAGS += -I$(JDKDIR)/include/solaris
endif
ifeq ($(PLATFORM), SOLARIS8)
  CPPFLAGS += -I$(JDKDIR)/include/solaris
endif

STATIC_SOURCES := jnimw.cc jninativelib.cc
HEADERS := jnimw.h org_eclipse_titan_executor_jni_JNIMiddleWare.h

SOURCES := $(STATIC_SOURCES)

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES)))

OTHER_OBJECTS := $(TOP)/mctr2/mctr/MctrError.o $(TOP)/mctr2/mctr/MainController.o \
	$(TOP)/mctr2/mctr/UserInterface.o $(TOP)/common/memory.o \
	$(TOP)/common/new.o $(TOP)/core/Textbuf.o $(TOP)/core/RInt.o $(TOP)/common/NetworkHandler.o \
	$(TOP)/mctr2/cli/config_read.lex.o $(TOP)/mctr2/cli/config_read.tab.o $(TOP)/mctr2/mctr/config_data.o \
	$(TOP)/common/config_preproc_p.tab.o $(TOP)/common/config_preproc.o $(TOP)/common/config_preproc_la.o \
	$(TOP)/common/path.o $(TOP)/common/memory.o $(TOP)/common/Path2.o

ifeq ($(LICENSING), yes)
  OTHER_OBJECTS += $(TOP)/common/license.o
endif

TARGETS := libmctrjninative.so

SOLARIS_LIBS =
SOLARIS8_LIBS := -lsocket -lnsl
LINUX_LIBS :=
FREEBSD_LIBS =
WIN32_LIBS =

#
# Rules for building the executable...
#
all run: $(TARGETS);

libmctrjninative.so: $(OBJECTS) $(OTHER_OBJECTS)
	$(LD) $(LDFLAGS) -o $@ $^ \
	$($(PLATFORM)_LIBS) -lpthread $(LICENSE_LIBS) -L$(OPENSSL_DIR)/lib -lcrypto

install: $(TARGETS)
ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
endif
	mkdir -p $(LIBDIR)
	cp $(TARGETS) $(LIBDIR)

include $(TOP)/Makefile.genrules

=== compiler2/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Cserveni, Akos
#   Delic, Adam
#   Feher, Csaba
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Kremer, Peter
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Gabor
#   Tatarka, Gabor
#   Zalanyi, Balazs Andor
#
##############################################################################
# Makefile for the integrated (TTCN-3 and ASN.1) compiler
# and the makefile generator

TOP := ..
include $(TOP)/Makefile.cfg

ifeq ($(USAGE_STATS), yes)
SOLARIS_LIBS  := -lresolv -lsocket -lnsl
SOLARIS8_LIBS := -lresolv -lsocket -lnsl
LINUX_LIBS := -lpthread -lrt
endif

ifeq ($(findstring g++, $(CXX)), g++)
  CXXFLAGS += -fno-exceptions
endif

ifdef REGEX_DIR
  CPPFLAGS += -I$(REGEX_DIR)/include
endif

ifdef OPENSSL_DIR
ifneq ($(OPENSSL_DIR), default)
  CPPFLAGS += -I$(OPENSSL_DIR)/include
  LDFLAGS  += -L$(OPENSSL_DIR)/lib
endif
endif

ifdef XMLDIR
ifeq ($(XMLDIR), default)
  XMLDIR := /usr
  # do not add -L/usr/lib to LDFLAGS, it's redundant
else
  LDFLAGS  += -L$(XMLDIR)/lib
endif

  CPPFLAGS += -I$(XMLDIR)/include/libxml2
endif

ifdef SRCDIR
  CPPFLAGS += -Iasn1
endif

# Too many "comparison between signed and unsigned"
CCFLAGS += -Wno-sign-compare

ifndef MINGW
TARGETS := compiler$(EXESUFFIX) ttcn3_makefilegen$(EXESUFFIX) tcov2lcov$(EXESUFFIX)
MANPAGES := compiler.1 ttcn3_makefilegen.1
else
TARGETS := compiler$(EXESUFFIX)
MANPAGES := compiler.1
MAYBE_PDFS := $(MANPAGES:.1=.pdf)
endif

PDFS := $(MANPAGES:.1=.pdf)

COMPILER_SOURCES := encdec.c enum.c functionref.c record.c record_of.c union.c \
PredefFunc.cc AST.cc Code.cc Constraint.cc CompilerError.cc \
CompField.cc CompType.cc EnumItem.cc Identifier.cc Int.cc \
main.cc Real.cc Setting.cc SigParam.cc string.cc subtype.cc Stopwatch.cc \
Type.cc Type_chk.cc Type_codegen.cc TypeCompat.cc \
Typestuff.cc ustring.cc Value.cc Valuestuff.cc XerAttributes.cc subtypestuff.cc \
CodeGenHelper.cc DebuggerStuff.cc XSD_Types.cc

MFGEN_SOURCES := makefile.c xpather.cc ProjectGenHelper.cc

TCOV2LCOV_SOURCES := tcov2lcov.cc

SOURCES := $(COMPILER_SOURCES) $(MFGEN_SOURCES) $(TCOV2LCOV_SOURCES)

# All sources are static in this directory
STATIC_SOURCES := $(SOURCES)

COMPILER_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(COMPILER_SOURCES)))

MFGEN_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(MFGEN_SOURCES)))

TCOV2LCOV_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(TCOV2LCOV_SOURCES)))

OBJECTS := $(COMPILER_OBJECTS) $(MFGEN_OBJECTS) $(TCOV2LCOV_OBJECTS)

# Used by both the compiler and makefilegen
COMMON_OBJECTS := $(addprefix ../common/, memory.o path.o userinfo.o)

TCOV2LCOV_COMMON_OBJECTS := ../common/memory.o

ifeq ($(LICENSING), yes)
	COMMON_OBJECTS += ../common/license.o
	TCOV2LCOV_COMMON_OBJECTS += ../common/license.o
endif

ifdef REGEX_DIR
  COMMON_OBJECTS += $(REGEX_DIR)/lib/regex.o
endif

COMPILER_COMMON_OBJECTS := $(COMMON_OBJECTS) \
$(addprefix ../common/, git_version.o new.o pattern_la.o pattern_p.o pattern_uni.o Quadruple.o \
ModuleVersion.o JSON_Tokenizer.o UnicharPattern.o openssl_version.o)

ifeq ($(USAGE_STATS), yes)
COMPILER_COMMON_OBJECTS += ../common/usage_stats.o
endif

MFGEN_COMMON_OBJECTS := $(COMMON_OBJECTS) ../common/new.o

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(COMPILER_SOURCES) \
$(MFGEN_SOURCES)))

SUBDIRS := asn1 ttcn3

.PHONY: asn1_dir ttcn3_dir

all run: $(TARGETS)

asn1/libasn1_compiler.a: asn1_dir ;

ttcn3/libttcn3_compiler.a: ttcn3_dir ;

asn1_dir:
	$(MAKE) -C asn1

ttcn3_dir:
	$(MAKE) -C ttcn3

pdf: $(PDFS)

install: $(TARGETS) $(MAYBE_PDFS)
ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
endif
	mkdir -p $(BINDIR)
	cp $(TARGETS) $(BINDIR)
ifdef MINGW
	mkdir -p $(MANDIR)
	cp $(PDFS)    $(MANDIR)
else
	cp tcov.xsd tcov.xsl $(INCDIR)
	cp titanver $(BINDIR)
	chmod a+x $(BINDIR)/titanver
	$(RM) $(BINDIR)/ttcn3_compiler$(EXESUFFIX) \
	$(BINDIR)/asn1_compiler$(EXESUFFIX) $(BINDIR)/makefilegen$(EXESUFFIX)
	ln -s compiler$(EXESUFFIX) $(BINDIR)/ttcn3_compiler$(EXESUFFIX)
	ln -s compiler$(EXESUFFIX) $(BINDIR)/asn1_compiler$(EXESUFFIX)
	ln -s ttcn3_makefilegen$(EXESUFFIX) $(BINDIR)/makefilegen$(EXESUFFIX)
	mkdir -p $(MANDIR)/man1
	cp $(MANPAGES) $(MANDIR)/man1
	$(RM) $(MANDIR)/man1/ttcn3_compiler.1 $(MANDIR)/man1/asn1_compiler.1 \
	$(MANDIR)/man1/makefilegen.1
	ln -s compiler.1 $(MANDIR)/man1/ttcn3_compiler.1
	ln -s compiler.1 $(MANDIR)/man1/asn1_compiler.1
	ln -s ttcn3_makefilegen.1 $(MANDIR)/man1/makefilegen.1
endif

# The compiler always links to OpenSSL (even without LICENSING)
# because it uses bignums.
compiler$(EXESUFFIX): asn1/libasn1_compiler.a ttcn3/libttcn3_compiler.a \
$(COMPILER_OBJECTS) $(COMPILER_COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(COMPILER_OBJECTS) $(COMPILER_COMMON_OBJECTS) \
	asn1/libasn1_compiler.a ttcn3/libttcn3_compiler.a \
	-lcrypto $(RSLICLIB) $(MINGW_LIBS) $($(PLATFORM)_LIBS)

ttcn3_makefilegen$(EXESUFFIX): $(MFGEN_OBJECTS) $(MFGEN_COMMON_OBJECTS) \
ttcn3/ttcn3_preparser.lex.o asn1/asn1_preparser.lex.o
	$(CXX) $(LDFLAGS) -o $@ $^ -lxml2 $(LICENSE_LIBS) $(MINGW_LIBS)

tcov2lcov$(EXESUFFIX): $(TCOV2LCOV_OBJECTS) $(TCOV2LCOV_COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $^ -lxml2 $(LICENSE_LIBS) $(MINGW_LIBS)

include ../Makefile.genrules

# Target-specific variable alteration
# Target-specific += causes make 3.79.1 to crash, hence this old style
makefile.o: CPPFLAGS :=  $(CPPFLAGS) -DCXX='"$(CXX)"'

# Pre-seed dependencies. Value.cc and Valuestuff.cc include asn1/asn1p.tab.hh
# However, if asn1/asn1p.y is modified, these files are not rebuilt because
# the Value.d contains a dependency on asn1/asn1p.tab.hh, which is not yet
# regenerated.
#
# 1. asn1/asn1p.y is modified
# 2. "make" checks dependencies of Value.o; decides nothing to do
# 3. "make -C asn1" rebuilds asn1p.y, updating asn1p.tab.hh
# 4. Value.o is now out of date
# 5. "make" issued a second time decides that Value.o is out of date
Value.d      Value.o      : asn1/asn1p.tab.hh
Valuestuff.d Valuestuff.o : asn1/asn1p.tab.hh
Constraint.d Constraint.o : asn1/asn1p.tab.hh

=== core2/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Kovacs, Ferenc
#   Raduly, Csaba
#
##############################################################################
# Makefile for the function test version Base Library of TTCN-3 Test Executor

FUNCTION_TEST_RUNTIME := yes

RT2_SOURCES := Basetype2.cc

ifndef SRCDIR
SRCDIR := ..
endif

include ../core/Makefile

CPPFLAGS += -I../core

ifdef SRCDIR
CPPFLAGS += -I$(SRCDIR)/core
endif

# Tell make that .c and .cc files can be found in another directory.
# Selective (lowercase) vpath is a GNU make feature.

vpath %.c  $(SRCDIR)/core
vpath %.cc ../core:$(SRCDIR)/core
vpath %.xsd $(SRCDIR)/core
vpath %.ttcn $(SRCDIR)/core
vpath cversion.h $(SRCDIR)/core

=== function_test/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Baranyi, Botond
#   Bartha, Norbert
#   Delic, Adam
#   Kovacs, Ferenc
#   Ormandi, Matyas
#   Raduly, Csaba
#   Kristof, Szabados
#
##############################################################################
# Makefile to run the non-interactive tests
DIRS := Semantic_Analyser Semantic_Analyser_Csaba Config_Parser OOP

SCRIPTFLAGS :=

# Coverage settings
LCOVDIR := /mnt/TTCN/Tools/lcov-1.7/usr
LCOV := no
ifeq ($(LCOV), yes)
SCRIPTFLAGS += -coverage
endif
# Runtime selection
#RT2 := yes
ifdef RT2
SCRIPTFLAGS += -rt2
endif

# Your platform. Allowed values: SOLARIS, SOLARIS8, LINUX, FREEBSD, WIN32
ifndef PLATFORM
PLATFORM1 := $(shell uname -s)
PLATFORM2 := $(shell uname -r)
PLATFORM3 := $(shell uname -m)

ifeq ($(PLATFORM1), SunOS)
  ifeq ($(PLATFORM2), 5.6)
    PLATFORM := SOLARIS
  else
    PLATFORM := SOLARIS8
  endif # 5.6
endif # SunOS
ifeq ($(PLATFORM1), Linux)
  PLATFORM := LINUX
endif # Linux
ifeq ($(PLATFORM1), FreeBSD)
  PLATFORM := FREEBSD
endif # FreeBSD
ifeq ($(findstring CYGWIN, $(PLATFORM1)), CYGWIN)
  PLATFORM := WIN32
endif # CYGWIN
ifeq ($(PLATFORM1), Interix)
  PLATFORM := INTERIX
endif # Interix
endif # ifndef PLATFORM
ifndef PLATFORM
	PLEASE CHECK THE ABOVE PLATFORM SETTINGS!!!
endif # ifndef PLATFORM

export PLATFORM
export RT2

all check run: $(DIRS)

.PHONY: $(DIRS)

BER_EncDec:
	cd $@; make -j; make run

RAW_EncDec:
	cd $@; make -j; make run

Text_EncDec:
	cd $@; make -j; make run

XER_EncDec:
	cd $@; make -j; make run
	
OER_EncDec:
	cd $@; make -j; make run

Semantic_Analyser:
	cd $@; if [ ! -f perl ] ; then ln -s `which perl` perl; fi; ./run_test_all $(SCRIPTFLAGS)

Semantic_Analyser_Csaba:
	make run -f Makefile.semantic -C Semantic_Analyser

Config_Parser:
	cd $@; if [ ! -f perl ] ; then ln -s `which perl` perl; fi; ./run_test $(SCRIPTFLAGS)
	
OOP:
	cd $@; if [ ! -f perl ] ; then ln -s `which perl` perl; fi; ./run_test $(SCRIPTFLAGS)

profile: $(DIRS)
	make all
	$(LCOVDIR)/bin/lcov -d .. -c -o functest_coverage.info
	$(LCOVDIR)/bin/genhtml -o functest_coverage -t "TITAN Function Test Coverage" functest_coverage.info

# It's a 50-50
clean:
	for d in $(DIRS); do if [ -f $$d/Makefile ]; then $(MAKE) -C $$d clean; else : ; fi done

$(CURDIR)/Makefile.personal:
	ln -s $(CURDIR)/../$(@F) $(CURDIR)/
include $(CURDIR)/Makefile.personal

=== licensegen/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Forstner, Matyas
#   Gecse, Roland
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
# Makefile for the license generator program

TOP := ..
include ../Makefile.cfg


#valid on on $TITAN7, RHEL7 :
MYSQL_DIR := /app/vbuild/RHEL7-x86_64/mysql/5.5.30/
#valid on on $TITAN7, RHEL7 :
OPENSSL_DIR := /local/home/titanrt/tools/openssl
TARGET_DIR := /proj/ttcn3titan/license

CPPFLAGS += -I$(OPENSSL_DIR)/include -I$(MYSQL_DIR)/include

SOLARIS_LIBS := -lsocket -lnsl -lm -lz
SOLARIS8_LIBS := -lsocket -lnsl -lm -lz
LINUX_LIBS := -lpthread -lz -lm -lrt -ldl #-lnsl
FREEBSD_LIBS :=
WIN32_LIBS :=

SOURCES := license_gen.c
DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))
COMMON_OBJECTS := ../common/license.o ../common/memory.o
OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES))) $(COMMON_OBJECTS)
TARGETS := license_gen$(EXESUFFIX)

license_gen$(EXESUFFIX): $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) -L$(MYSQL_DIR)/lib -lmysqlclient \
	$(OPENSSL_DIR)/lib/libcrypto.a $($(PLATFORM)_LIBS)
	chmod g+w $(TARGETS)

install: $(TARGETS)
	strip $(TARGETS)
	cp $(TARGETS) $(TARGET_DIR)
	chmod 710 $(TARGET_DIR)/license_gen$(EXESUFFIX)
	chmod u+s $(TARGET_DIR)/license_gen$(EXESUFFIX)

include ../Makefile.genrules

=== loggerplugins/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Raduly, Csaba
#   Susanszky, Eszter
#
##############################################################################
TOP    := ..
include   ../Makefile.cfg

DIRS := \
JUnitLogger TSTLogger JUnitLogger2

ifeq ($(LTTNGUSTLOGGER),yes)
	DIRS += LTTngUSTLogger
endif

all run dep clean distclean install:
	for d in $(DIRS); do $(MAKE) -C $$d $@ || exit 1; done

=== usrguide/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   
#   >
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Forstner, Matyas
#   Gecse, Roland
#   Gillespie, Raymond
#   Kremer, Peter
#   Lovassy, Arpad
#   Ormandi, Matyas
#   Pandi, Krisztian
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Gabor
#   Tatarka, Gabor
#   Torpis, Zsolt
#   Zalanyi, Balazs Andor
#
##############################################################################
# Makefile for the TITAN User Guide

TOP  := ..
include ../Makefile.cfg

.SUFFIXES: .adoc .pdf

PDF_GEN_CALL := asciidoctor-pdf --attribute skip-front-matter

TITAN_PDFS := apiguide/Apiguide.pdf userguide/UserGuide.pdf installationguide/installationguide.pdf \
referenceguide/ReferenceGuide.pdf java_referenceguide/JavaReferenceGuide.pdf releasenotes/releasenotes.pdf PRI/PRI.pdf SoC_TITAN/SoC_TITAN.pdf \
SoC_XML_TITAN/SoC_XML_TITAN.pdf

ifeq ($(GEN_PDF), yes)

all run: $(TITAN_PDFS)

# On success (PDF files are successfully created), the PDF files are copied to the $(DOCDIR) directory.
install: $(TITAN_PDFS)
ifdef MINGW
$(info Skipped ${CURDIR} for MinGW)
else
	mkdir -p $(DOCDIR)
	cp $(TITAN_PDFS) $(DOCDIR)
endif

clean:
	rm -f $(TITAN_PDFS)

apiguide/Apiguide.pdf: apiguide/*.adoc apiguide/images/*
	$(PDF_GEN_CALL) apiguide/Apiguide.adoc

userguide/UserGuide.pdf: userguide/*.adoc userguide/images/*
	$(PDF_GEN_CALL) userguide/UserGuide.adoc

installationguide/installationguide.pdf: installationguide/*.adoc installationguide/images/*
	$(PDF_GEN_CALL) installationguide/installationguide.adoc

referenceguide/ReferenceGuide.pdf: referenceguide/*.adoc referenceguide/images/*
	$(PDF_GEN_CALL) referenceguide/ReferenceGuide.adoc

java_referenceguide/JavaReferenceGuide.pdf: java_referenceguide/*.adoc java_referenceguide/images/*
	$(PDF_GEN_CALL) java_referenceguide/JavaReferenceGuide.adoc

releasenotes/releasenotes.pdf: releasenotes/*.adoc releasenotes/images/*
	$(PDF_GEN_CALL) releasenotes/releasenotes.adoc

PRI/PRI.pdf: PRI/*.adoc
	$(PDF_GEN_CALL) PRI/PRI.adoc

SoC_TITAN/SoC_TITAN.pdf: SoC_TITAN/*.adoc SoC_TITAN/images/*
	$(PDF_GEN_CALL) SoC_TITAN/SoC_TITAN.adoc

SoC_XML_TITAN/SoC_XML_TITAN.pdf: SoC_XML_TITAN/*.adoc SoC_XML_TITAN/images/*
	$(PDF_GEN_CALL) SoC_XML_TITAN/SoC_XML_TITAN.adoc

else
# GEN_PDF == no
all run:
install:
clean:
endif

release:
	$(MAKE) install GEN_PDF=yes



distclean:clean

dep:

=== compiler2/asn1/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Cserveni, Akos
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Kremer, Peter
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
# Makefile for the ASN.1 Compiler

TOP := ../..
include $(TOP)/Makefile.cfg

ifeq ($(findstring g++, $(CXX)), g++)
  CXXFLAGS += -fno-exceptions
endif

ifdef OPENSSL_DIR
ifneq ($(OPENSSL_DIR), default)
  CPPFLAGS += -I$(OPENSSL_DIR)/include
endif
endif

TARGETS := libasn1_compiler.a

ORIGINATORS := asn1_preparser.l asn1la.l asn1p.y

GENERATED_SOURCES := asn1la.yy.cc asn1p.tab.cc asn1_preparser.lex.c

STATIC_SOURCES := AST_asn1.cc Ref.cc Block.cc Object.cc OCSV.cc \
Tag.cc TableConstraint.cc TokenBuf.cc Type_parse.cc

SOURCES := $(STATIC_SOURCES) $(GENERATED_SOURCES)

GENERATED_HEADERS := asn1p.tab.hh

GENERATED_OTHERS := asn1p.output lex.backup

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES)))

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))

SUBDIRS :=

all run: $(TARGETS)

libasn1_compiler.a: $(OBJECTS)
	$(AR) -r $@ $?

asn1_preparser.lex.c: asn1_preparser.l
	$(FLEX) $(FLEXFLAGS) -Pasn1_preparser_ -o$@ $<

asn1la.yy.cc: asn1la.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

asn1p.tab.cc asn1p.tab.hh: asn1p.y
	$(BISON) $(BISONFLAGS) $<

include ../../Makefile.genrules

# pre-seed dependencies
Type_parse.d TokenBuf.d TableConstraint.d OCSV.d Object.d Block.d Ref.d AST_asn1.d asn1la.yy.d: asn1p.tab.hh

=== compiler2/ttcn3/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Baranyi, Botond
#   Cserveni, Akos
#   Delic, Adam
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Kremer, Peter
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Gabor
#   Tatarka, Gabor
#   Zalanyi, Balazs Andor
#
##############################################################################
# Makefile for the TTCN-3 part of the compiler

TOP := ../..
include $(TOP)/Makefile.cfg

ifeq ($(findstring g++, $(CXX)), g++)
  CXXFLAGS += -fno-exceptions
endif

ifdef OPENSSL_DIR
ifneq ($(OPENSSL_DIR), default)
  CPPFLAGS += -I$(OPENSSL_DIR)/include
endif
endif

CPPFLAGS += -I$(SRC_TOP)

TARGETS := libttcn3_compiler.a

ORIGINATORS := charstring_la.l  coding_attrib_la.l  coding_attrib_p.y  \
compiler.l  compiler.y  comptype_attrib_la.l  pstring_la.l  \
rawAST.l  rawAST.y  ttcn3_preparser.l

GENERATED_SOURCES := lex.ttcn3.cc compiler.tab.cc lex.rawAST.cc rawAST.tab.cc \
charstring_la.cc pstring_la.cc comptype_attrib_la.cc coding_attrib_la.cc \
coding_attrib_p.cc ttcn3_preparser.lex.c

GENERATED_HEADERS := compiler.tab.hh rawAST.tab.hh coding_attrib_p.hh

GENERATED_OTHERS := compiler.output rawAST.output coding_attrib_p.output lex.backup

STATIC_SOURCES := ArrayDimensions.cc AST_ttcn3.cc Attributes.cc ILT.cc PatternString.cc \
RawAST.cc Statement.cc TtcnTemplate.cc Templatestuff.cc TextAST.cc Ttcnstuff.cc \
compiler.c port.c signature.c BerAST.cc JsonAST.cc Ttcn2Json.cc profiler.c OerAST.cc

SOURCES := $(STATIC_SOURCES) $(GENERATED_SOURCES)
	
COMMON_OBJECTS := $(addprefix ../../common/, JSON_Tokenizer.o)

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES))) $(COMMON_OBJECTS)

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))

SUBDIRS :=

all run: $(TARGETS)

libttcn3_compiler.a: $(OBJECTS)
	$(AR) -r $@ $?

%_la.cc: %_la.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

%_p.cc %_p.hh: %_p.y
	$(BISON) $(BISONFLAGS) $<

compiler.tab.cc compiler.tab.hh: compiler.y
	$(BISON) $(BISONFLAGS) -p ttcn3_ -o compiler.tab.cc $<

rawAST.tab.cc rawAST.tab.hh: rawAST.y
	$(BISON) $(BISONFLAGS) -p rawAST_ -o rawAST.tab.cc $<

lex.ttcn3.cc: compiler.l
	$(FLEX) $(FLEXFLAGS) -Pttcn3_ -o$@ $<

lex.rawAST.cc: rawAST.l
	$(FLEX) $(FLEXFLAGS) -PrawAST_ -o$@ $<

ttcn3_preparser.lex.c: ttcn3_preparser.l
	$(FLEX) $(FLEXFLAGS) -Pttcn3_preparser_ -o$@ $<

include ../../Makefile.genrules

# pre-seed dependencies
lex.ttcn3.d: compiler.tab.hh

=== conformance_test/OOP_tests/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Kirjak, Adrien
#
# not ready
##############################################################################
#TOPDIR := ..
#include $(TOPDIR)/Makefile.regression

#ifdef LCOV
#COVERAGE_FLAG := -C
#endif

MAKE := make

#DIRS := negative_tests positive_tests
DIRS := positive_tests

WORKING_DIR := $(shell pwd)

# It can be built manually.
run clean:
	echo "hello"
	@for dir in $(DIRS); do make $@ -C $$dir || exit; done

.PHONY: all clean run

=== loggerplugins/JUnitLogger2/Makefile ===
##############################################################################
# Copyright (c) 2000-2021 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Susanszky, Eszter
#
##############################################################################
# Makefile for the JUnitLogger2 plugin.  Unfortunately, we'll need four different
# libraries for each plugin...  Plugin version information must be
# synchronized with the code.

TOP    := ../..
include   ../../Makefile.cfg

LIB_DIR := $(TTCN3_DIR)/lib

MAJOR := 0
MINOR := 0

SOURCES := JUnitLogger2.cc
STATIC_SOURCES := ${SOURCES}
HEADERS := $(SOURCES:.cc=.hh)
OBJECTS := $(SOURCES:.cc=.o)
OBJECTS_RT2 := $(addprefix FT/,$(OBJECTS))

SHARED_LIB              := libjunitlogger2.so
SHARED_LIB_RT2          := libjunitlogger2-rt2.so
SHARED_LIB_PARALLEL     := libjunitlogger2-parallel.so
SHARED_LIB_PARALLEL_RT2 := libjunitlogger2-parallel-rt2.so

CPPFLAGS += -I../../core -I$(ABS_SRC)/../../common -I$(ABS_SRC)/../../core
# RT2 needs core2 (for RT2/TitanLoggerAPI.hh) in addition to core
CPPFLAGS_RT2 := $(CPPFLAGS) -I$(ABS_SRC)/../../core2 -DTITAN_RUNTIME_2

CXXFLAGS +=

LDFLAGS_ORIG	     := $(LDFLAGS)
LDFLAGS              += -g -L$(ABS_SRC)/../../core  -Wl,-soname,$(SHARED_LIB).$(MAJOR)				    -o $(SHARED_LIB).$(MAJOR).$(MINOR)
LDFLAGS_RT2          += $(LDFLAGS_ORIG) -g -L$(ABS_SRC)/../../core2 -Wl,-soname,$(SHARED_LIB_RT2).$(MAJOR)          -o $(SHARED_LIB_RT2).$(MAJOR).$(MINOR)
LDFLAGS_PARALLEL     += $(LDFLAGS_ORIG) -g -L$(ABS_SRC)/../../core  -Wl,-soname,$(SHARED_LIB_PARALLEL).$(MAJOR)     -o $(SHARED_LIB_PARALLEL).$(MAJOR).$(MINOR)
LDFLAGS_PARALLEL_RT2 += $(LDFLAGS_ORIG) -g -L$(ABS_SRC)/../../core2 -Wl,-soname,$(SHARED_LIB_PARALLEL_RT2).$(MAJOR) -o $(SHARED_LIB_PARALLEL_RT2).$(MAJOR).$(MINOR)

LIBS              := -lttcn3-dynamic
LIBS_RT2          := -lttcn3-rt2-dynamic
LIBS_PARALLEL     := -lttcn3-parallel-dynamic
LIBS_PARALLEL_RT2 := -lttcn3-rt2-parallel-dynamic

TARGETS := $(SHARED_LIB) $(SHARED_LIB_PARALLEL) $(SHARED_LIB_RT2) $(SHARED_LIB_PARALLEL_RT2)
# .so with .major appended:
TARGETS_MAJOR       := $(addsuffix .$(MAJOR), $(TARGETS))
# .so with .major.minor appended:
TARGETS_MAJOR_MINOR := $(addsuffix .$(MINOR), $(TARGETS_MAJOR))

# OBJECTS_RT2, TARGETS_MAJOR and TARGETS_MAJOR_MINOR are non-standard make variables,
# not taken into account by "clean" in Makefile.genrules
# Delete them as "miscellaneous" files.
TOBECLEANED := $(OBJECTS_RT2) $(TARGETS_MAJOR) $(TARGETS_MAJOR_MINOR)

all run: $(TARGETS)

$(SHARED_LIB): $(OBJECTS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $? $(LIBS) -shared
	ln -sf $@.$(MAJOR).$(MINOR) $@.$(MAJOR)
	ln -sf $@.$(MAJOR) $@

$(SHARED_LIB_RT2): $(OBJECTS_RT2)
	$(CXX) $(CPPFLAGS_RT2) $(CXXFLAGS) $(LDFLAGS_RT2) $? $(LIBS_RT2) -shared
	ln -sf $@.$(MAJOR).$(MINOR) $@.$(MAJOR)
	ln -sf $@.$(MAJOR) $@

$(SHARED_LIB_PARALLEL): $(OBJECTS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS_PARALLEL) $? $(LIBS_PARALLEL) -shared
	ln -sf $@.$(MAJOR).$(MINOR) $@.$(MAJOR)
	ln -sf $@.$(MAJOR) $@

$(SHARED_LIB_PARALLEL_RT2): $(OBJECTS_RT2)
	$(CXX) $(CPPFLAGS_RT2) $(CXXFLAGS) $(LDFLAGS_PARALLEL_RT2) $? $(LIBS_PARALLEL_RT2) -shared
	ln -sf $@.$(MAJOR).$(MINOR) $@.$(MAJOR)
	ln -sf $@.$(MAJOR) $@

$(OBJECTS): $(SOURCES)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $?

# The `-o $@' stuff is necessary, otherwise the result will be put into the
# current directory.
$(OBJECTS_RT2): $(SOURCES)
	mkdir -p FT
	$(CXX) $(CPPFLAGS_RT2) $(CXXFLAGS) -c $? -o $@

dep:
	@echo Doing nothing...

install: $(SHARED_LIB) $(SHARED_LIB_RT2) $(SHARED_LIB_PARALLEL) $(SHARED_LIB_PARALLEL_RT2)
	mkdir -p $(LIB_DIR)
	cp $(SHARED_LIB)* $(SHARED_LIB_RT2)* $(SHARED_LIB_PARALLEL)* $(SHARED_LIB_PARALLEL_RT2)* $(LIB_DIR)

include ../../Makefile.genrules

=== debian/changelog ===
eclipse-titan (8.2.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:48:56 +1100

eclipse-titan (8.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:49:17 +0000

eclipse-titan (8.2.0-1) unstable; urgency=medium

  * New release
    + The Titan Team wants to dedicate this release to the memory of Elemér Lelik.
  * debian/control:
    - Updated Homepage section
    - Standards-Version bump to 4.6.1 (no changes needed)
  * debian/copyright:
    - License bump to EPL 2.0 (no changes needed)
  * debian/rules:
    - added optimize=-lto option (Closes: #1015391)

 -- Gergely Pilisi <mail.pilisig@gmail.com>  Sat, 10 Sep 2022 12:52:51 +0100

=== debian/control ===
Source: eclipse-titan
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gergely Pilisi <mail.pilisig@gmail.com>
Homepage: https://gitlab.eclipse.org/eclipse/titan/titan.core
Section: java
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: bison,
               default-jdk,
               debhelper-compat (=13),
               expect,
               flex,
               libedit-dev,
               libncurses5-dev,
               libssl-dev,
               libxml2-dev

Package: eclipse-titan
Architecture: any
Depends: expect,
         libedit-dev,
         libpcap-dev,
         libpcre3-dev,
         libsctp-dev,
         libssl-dev,
         libxml2-dev,
         make,
         perl,
         python3,
         gcc,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-jdk
Description: TITAN TTCN-3 toolset from the Eclipse project
 TTCN-3 is a standardized, modular language specifically designed for testing.
 Eclipse Titan offers a free and open source (FOSS) compiler both for TTCN-3
 and for ASN.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/titan.core-$1\.tar\.gz/ \
  https://gitlab.eclipse.org/eclipse/titan/titan.core/-/tags .*/v?(\d\S*)\.tar\.gz

## eclipse-titan 8.3.0

=== debian/changelog ===
eclipse-titan (8.3.0-1) unstable; urgency=medium

  * Makefile: don't build and run "hello" example (OS#6128)

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 02 Aug 2023 13:44:57 +0200

eclipse-titan (8.3.0-0) unstable; urgency=medium

  * New upstream release

 -- Oliver Smith <osmith@sysmocom.de>  Thu, 02 Mar 2023 09:54:01 +0100

## eclipse-titan 9.0.0

=== debian/changelog ===
eclipse-titan (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Oliver Smith <osmith@sysmocom.de>  Fri, 22 Sep 2023 10:57:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: eclipse-titan
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gergely Pilisi <mail.pilisig@gmail.com>
+Maintainer: Oliver Smith <osmith@sysmocom.de>
 Homepage: https://gitlab.eclipse.org/eclipse/titan/titan.core
 Section: java
 Priority: optional
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Build-Depends: bison,
+               debhelper (>= 9),
                default-jdk,
-               debhelper-compat (=13),
                expect,
                flex,
                libedit-dev,
@@ -19,7 +17,7 @@
 Package: eclipse-titan
 Architecture: any
 Depends: expect,
-         libedit-dev,
+	 libedit-dev,
          libpcap-dev,
          libpcre3-dev,
          libsctp-dev,
@@ -28,7 +26,8 @@
          make,
          perl,
          python3,
-         gcc,
+         gcc (>= ${gcc:Version}),
+         gcc (<< ${gcc:Version}.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: default-jdk

## eclipse-titan 9.0.0.3.0bbfc~osmocom

=== debian/changelog ===
eclipse-titan (9.0.0.3.0bbfc~osmocom) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 27 May 2024 08:43:18 +0000

eclipse-titan (0.0.0) unstable; urgency=medium

  * Initial

 -- Oliver Smith <osmith@sysmocom.de>  Mon, 27 May 2024 10:57:45 +0200
